OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class OutageTest.OutageChecker

    java.lang.Object
      org.opennms.netmgt.utils.JDBCTemplate
          org.opennms.netmgt.utils.Querier
              org.opennms.netmgt.outage.OutageTest.OutageChecker

All Implemented Interfaces:
  RowProcessor

Enclosing class:
  OutageTest

class OutageTest.OutageChecker
extends Querier

Field Summary
`private Event` `m_lostSvcEvent`
`private java.sql.Timestamp` `m_lostSvcTime`
`private Event` `m_regainedSvcEvent`
`private java.sql.Timestamp` `m_regainedSvcTime`
`private MockService` `m_svc`

Fields inherited from class org.opennms.netmgt.utils.Querier
``

Fields inherited from class org.opennms.netmgt.utils.JDBCTemplate
``

Constructor Summary
`(package private)` `OutageTest.OutageChecker(MockService svc, Event lostSvcEvent)`
`(package private)` `OutageTest.OutageChecker(MockService svc, Event lostSvcEvent, Event regainedSvcEvent)`

Method Summary
`private java.lang.Integer` `getRegainedEventId()`
`void` `processRow(java.sql.ResultSet rs)`

Methods inherited from class org.opennms.netmgt.utils.Querier
`executeStmt, getCount`

Methods inherited from class org.opennms.netmgt.utils.JDBCTemplate
`execute, execute, execute, execute, execute, execute, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_lostSvcEvent

    private Event m_lostSvcEvent

### m_lostSvcTime

    private java.sql.Timestamp m_lostSvcTime

### m_svc

    private MockService m_svc

### m_regainedSvcEvent

    private Event m_regainedSvcEvent

### m_regainedSvcTime

    private java.sql.Timestamp m_regainedSvcTime

Constructor Detail

### OutageTest.OutageChecker

    OutageTest.OutageChecker(MockService svc,
                             Event lostSvcEvent)
                       throws java.lang.Exception

### OutageTest.OutageChecker

    OutageTest.OutageChecker(MockService svc,
                             Event lostSvcEvent,
                             Event regainedSvcEvent)

Method Detail

### processRow

    public void processRow(java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Specified by:
    `processRow` in interface `RowProcessor`
  Overrides:
    `processRow` in class `Querier`
  Throws:
    `java.sql.SQLException`

### getRegainedEventId

    private java.lang.Integer getRegainedEventId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.